#include <iostream>
#include <string.h> // old c string functions
#include "patient.h"

using namespace std;

CPatient::CPatient(const char *n, int a, char g)	// Normal constructor
{
	//cout << "constructing patient" << endl;
	strcpy(name,n);
	age = a;
	gender = g;
}

CPatient::CPatient()  			//default constructor  no arguments
{
	//cout << "default constructor" << endl;
	strcpy(name,"A.N.Other");
	age = 0;
	gender = 'M';
}

void CPatient::identify()
{
	cout << "Name :" << name << endl;
	cout << "Age : " << age << endl;
	cout << "Gender :" << gender << endl;
}


void CPatient::set_name(char * n)
{
	strcpy(name,n);
}

void CPatient::set_age(int a) 
{ 
	age = a; 
}

void CPatient::set_gender(char g) 
{
 	gender = g; 
}


const char * CPatient::get_name()
{
	return name;
}

int CPatient:: get_age() 
{ 
	return age; 
}

char CPatient::get_gender() 
{
 	return gender; 
}








